Upstream information

CVE-2020-14396 at MITRE

Description

An issue was discovered in LibVNCServer before 0.9.13. libvncclient/tls_openssl.c has a NULL pointer dereference.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 5.3
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1173878 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7 LibVNCServer Not affected
SUSE Enterprise Storage 7.1 LibVNCServer Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 LibVNCServer Not affected
SUSE Linux Enterprise Server 12 SP5 LibVNCServer Not affected
SUSE Linux Enterprise Server 12-LTSS LibVNCServer Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 LibVNCServer Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 LibVNCServer Not affected
SUSE Manager Proxy 4.2 LibVNCServer Not affected
SUSE Manager Retail Branch Server 4.2 LibVNCServer Not affected
SUSE Manager Server 4.2 LibVNCServer Not affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 12 SP4 LibVNCServer Not affected
SUSE Linux Enterprise High Performance Computing 15 LibVNCServer Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 LibVNCServer Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 LibVNCServer Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 LibVNCServer Not affected
SUSE Linux Enterprise Server 12 SP2-BCL LibVNCServer Not affected
SUSE Linux Enterprise Server 12 SP4 LibVNCServer Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS LibVNCServer Not affected
SUSE Linux Enterprise Server 15 SP1 LibVNCServer Not affected
SUSE Linux Enterprise Server 15 SP2 LibVNCServer Not affected
SUSE Linux Enterprise Server 15 SP3 LibVNCServer Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 LibVNCServer Not affected
SUSE Linux Enterprise Server for SAP Applications 15 LibVNCServer Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 LibVNCServer Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 LibVNCServer Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 LibVNCServer Not affected
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 LibVNCServer Not affected
SUSE Enterprise Storage 6 LibVNCServer Not affected
SUSE Linux Enterprise Desktop 11 SP4 LibVNCServer Not affected
SUSE Linux Enterprise Desktop 12 LibVNCServer Not affected
SUSE Linux Enterprise Desktop 12 SP1 LibVNCServer Not affected
SUSE Linux Enterprise Desktop 12 SP2 LibVNCServer Not affected
SUSE Linux Enterprise Desktop 12 SP3 LibVNCServer Not affected
SUSE Linux Enterprise Desktop 12 SP4 LibVNCServer Not affected
SUSE Linux Enterprise Desktop 15 LibVNCServer Not affected
SUSE Linux Enterprise Desktop 15 SP1 LibVNCServer Not affected
SUSE Linux Enterprise Desktop 15 SP2 LibVNCServer Not affected
SUSE Linux Enterprise Desktop 15 SP3 LibVNCServer Not affected
SUSE Linux Enterprise Module for Package Hub 15 LibVNCServer Not affected
SUSE Linux Enterprise Module for Package Hub 15 SP1 LibVNCServer Not affected
SUSE Linux Enterprise Module for Package Hub 15 SP2 LibVNCServer Not affected
SUSE Linux Enterprise Module for Package Hub 15 SP3 LibVNCServer Not affected
SUSE Linux Enterprise Server 11 SP3 LibVNCServer Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS LibVNCServer Not affected
SUSE Linux Enterprise Server 11 SP4 LibVNCServer Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS LibVNCServer Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS LibVNCServer Not affected
SUSE Linux Enterprise Server 12 LibVNCServer Not affected
SUSE Linux Enterprise Server 12 SP1 LibVNCServer Not affected
SUSE Linux Enterprise Server 12 SP1-LTSS LibVNCServer Not affected
SUSE Linux Enterprise Server 12 SP2 LibVNCServer Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS LibVNCServer Not affected
SUSE Linux Enterprise Server 12 SP2-LTSS LibVNCServer Not affected
SUSE Linux Enterprise Server 12 SP3 LibVNCServer Not affected
SUSE Linux Enterprise Server 12 SP3-BCL LibVNCServer Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS LibVNCServer Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS LibVNCServer Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS LibVNCServer Not affected
SUSE Linux Enterprise Server 15 LibVNCServer Not affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 LibVNCServer Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 LibVNCServer Not affected
SUSE Linux Enterprise Server for SAP Applications 12 LibVNCServer Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 LibVNCServer Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 LibVNCServer Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 LibVNCServer Not affected
SUSE Linux Enterprise Software Development Kit 11 SP4 LibVNCServer Not affected
SUSE Linux Enterprise Software Development Kit 12 LibVNCServer Not affected
SUSE Linux Enterprise Software Development Kit 12 SP1 LibVNCServer Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 LibVNCServer Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 LibVNCServer Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 LibVNCServer Not affected
SUSE Linux Enterprise Workstation Extension 15 LibVNCServer Not affected
SUSE Linux Enterprise Workstation Extension 15 SP1 LibVNCServer Not affected
SUSE Linux Enterprise Workstation Extension 15 SP2 LibVNCServer Not affected
SUSE Linux Enterprise Workstation Extension 15 SP3 LibVNCServer Not affected
SUSE Manager Proxy 4.0 LibVNCServer Not affected
SUSE Manager Proxy 4.1 LibVNCServer Not affected
SUSE Manager Retail Branch Server 4.0 LibVNCServer Not affected
SUSE Manager Retail Branch Server 4.1 LibVNCServer Not affected
SUSE Manager Server 4.0 LibVNCServer Not affected
SUSE Manager Server 4.1 LibVNCServer Not affected
SUSE OpenStack Cloud 7 LibVNCServer Not affected
SUSE OpenStack Cloud 8 LibVNCServer Not affected
SUSE OpenStack Cloud 9 LibVNCServer Not affected
SUSE OpenStack Cloud Crowbar 8 LibVNCServer Not affected
SUSE OpenStack Cloud Crowbar 9 LibVNCServer Not affected


SUSE Timeline for this CVE

CVE page created: Wed Jun 17 22:10:24 2020
CVE page last modified: Fri Jan 20 15:27:27 2023